This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462596 - Network route don't get update automatic nor manually.
Network route don't get update automatic nor manually.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 09:03 EDT by Jóhann B. Guðmundsson
Modified: 2009-12-18 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Entry relative to nm-pptp connecting in /var/log/messages (4.64 KB, application/octet-stream)
2008-09-17 09:03 EDT, Jóhann B. Guðmundsson
no flags Details
Client-Server.log (11.36 KB, text/plain)
2008-10-31 12:34 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2008-09-17 09:03:10 EDT
Created attachment 316953 [details]
Entry relative to nm-pptp connecting in /var/log/messages

Description of problem:

Summary says it all.

See attache file.

Version-Release number of selected component (if applicable):

NetworkManager-pptp-0.7.0-0.10.svn4027.fc9.x86_64
NetworkManager-pptp-debuginfo-0.7.0-0.10.svn4027.fc9.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Create an vpn-connection
2. Manually set the route or
3. use the route received from server ( default )
4. Run route -n to see if routes get added/updated.
  
Actual results:

Routes dont get update with new routes

Expected results:

Routes getting updated

Additional info:
Comment 1 Luo Bin 2008-10-30 18:28:14 EDT
I got this problem too!
on rawhide ,version list below:
NetworkManager-gnome-0.7.0-0.11.svn4229.fc10.i386
NetworkManager-0.7.0-0.11.svn4229.fc10.i386
NetworkManager-pptp-0.7.0-0.12.svn4229.fc10.i386
NetworkManager-glib-0.7.0-0.11.svn4229.fc10.i386
Comment 2 Dan Williams 2008-10-31 11:47:04 EDT
afaik, PPP servers do not send routes from the server to the client; what exact routes are you looking for here?  What should 'route -n' show, and what does it show instead?
Comment 3 Luo Bin 2008-10-31 12:15:17 EDT
[xelnaga@ASUS6 ~]$ route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
220.169.80.1    0.0.0.0         255.255.255.255 UH    0      0        0 ppp0
0.0.0.0         220.169.80.1    0.0.0.0         UG    0      0        0 ppp0
[xelnaga@ASUS6 ~]$ route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.10.0.1       220.169.80.1    255.255.255.255 UGH   0      0        0 ppp0
220.169.80.1    0.0.0.0         255.255.255.255 UH    0      0        0 ppp0
69.89.31.238    124.116.176.67  255.255.255.255 UGH   0      0        0 ppp1
124.116.176.67  0.0.0.0         255.255.255.255 UH    0      0        0 ppp1
124.116.176.67  220.169.80.1    255.255.255.255 UGH   0      0        0 ppp0
0.0.0.0         0.0.0.0         0.0.0.0         U     0      0        0 ppp1
[xelnaga@ASUS6 ~]$ 

It seems OK now,that's weird!
Comment 4 Jóhann B. Guðmundsson 2008-10-31 12:33:09 EDT
# Routing table on client connected with pptpconfig

[root@localhost ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
130.208.165.95  0.0.0.0         255.255.255.255 UH    0      0        0 ppp0
130.208.179.1   130.208.69.254  255.255.255.255 UGH   0      0        0 eth0
130.208.69.0    0.0.0.0         255.255.255.0   U     0      0        0 eth0
0.0.0.0         130.208.69.254  0.0.0.0         UG    0      0        0 eth0

# Routing table on client connected with NM-PPTP

[root@localhost ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         130.208.69.254  255.255.255.255 UGH   0      0        0 eth0
130.208.69.0    0.0.0.0         255.255.255.0   U     0      0        0 eth0
0.0.0.0         0.0.0.0         0.0.0.0         U     0      0        0 ppp0
Comment 5 Jóhann B. Guðmundsson 2008-10-31 12:34:27 EDT
Created attachment 322108 [details]
Client-Server.log
Comment 6 Dan Williams 2008-10-31 12:50:44 EDT
Have you added any custom routes in the pptpconfig GUI?
Comment 7 Jóhann B. Guðmundsson 2008-10-31 18:13:21 EDT
No all have told pptp is to route all packages through the pptp vpn connection.

One curios question I noticed that NM-pptp while connecting marked 
the vpn gateway 0.0.0.0 is that expected behaviour?
Comment 8 Jóhann B. Guðmundsson 2008-10-31 18:50:21 EDT
I would have thought it was supposed to be 130.208.179.1
since I get assigned 130.208.179.x ?
Comment 9 Jóhann B. Guðmundsson 2008-11-06 11:05:21 EST
Could this be a 64bit or a driver issue?

I just installed F10Preview on my Dell Inspirion 6000
which is an i686 same nm-pptp settings as on my T61p 64bit machine

NM-PPTP works like a charm.. 

[root@localhost ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
130.208.165.95  130.208.69.254  255.255.255.255 UGH   0      0        0 eth0
130.208.179.1   130.208.69.254  255.255.255.255 UGH   0      0        0 eth0
130.208.71.0    0.0.0.0         255.255.255.0   U     2      0        0 eth1
130.208.69.0    0.0.0.0         255.255.255.0   U     1      0        0 eth0
0.0.0.0         0.0.0.0         0.0.0.0         U     0      0        0 ppp0
Comment 10 Jóhann B. Guðmundsson 2008-11-06 11:08:21 EST
uhum noticed I had been testing this on my workstation 
( F9 64bit ) Will test this on my t61p when I get home from work..
which is an F10 64 bit...
Comment 11 Bug Zapper 2008-11-25 22:07:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-11-18 03:24:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:24:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.